| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Translation

Translation Utility Interfaces Definitions and Methods. More...

## Classes
struct | unsp__GetFullyQualifiedNumberRequest
| Get Fully Qualified Number request. More...
struct | unsp__GetFullyQualifiedNumberResult
| Get Fully Qualified Number result. More...
struct | unsp__TranslateDialedDigitsRequest
| Translate Dialed Digits request. More...
struct | unsp__TranslateDialedDigitsResult
| Translate Dialed Digits result. More...
struct | unsp__TransOrigInfo
| Translation Originator's Information. More...
struct | unsp__TransVerifyRequest
| Verify Translation request. More...
struct | unsp__TransVerifyResult
| Verify Translation result. More...

## Enumerations
enum | unsp__TranslationResult { XLARC_Success, XLARC_Failure, XLARC_Error, XLARC_InvalidAddr, XLARC_InvalidAddrFormat, XLARC_NotEnoughDigits, XLARC_InvalidCAC, XLARC_InvalidCACFormat, XLARC_UnauthorizedCarrTraffic, XLARC_FGDInScreeningFailed, XLARC_AllRoutesBusy, XLARC_NoRoutesFound, XLARC_InvalidIntcptId, XLARC_UnallocatedNumber, XLARC_DNDisconn, XLARC_Enum, XLARC_Misdialing, XLARC_NoIntcptTrt, XLARC_EPUnregistered, XLARC_EmptyNpId, XLARC_ErrorConvertType }
| Translation result. More...
enum | unsp__CallType { XLACT_None, XLACT_CallEmrg, XLACT_CallSvc }
| The call type as determined by translation, if successful. More...
enum | unsp__DestType { XLADT_None, XLADT_Dest, XLADT_EP, XLADT_Svc, XLADT_PRI, XLADT_Ln, XLADT_TrkCircuit, XLADT_MGCPMS, XLADT_Vacant, XLADT_HomeDN, XLADT_DNDisconn, XLADT_Enum, XLADT_Intcpt, XLADT_InvalidCode, XLADT_TOD, XLADT_E164, XLADT_NpId, XLADT_HomeExt, XLADT_HomeLoc, XLADT_EmrgLoc, XLADT_CallingLoc, XLADT_CarrierDest, XLADT_Prefix_Dest }
| Destination Type as determined by translation, if successful. More...
enum | unsp__DialingPattern { XLADP_None, XLADP_Optr0Plus, XLADP_Optr0, XLADP_Optr00, XLADP_IntlOptr, XLADP_IntlDDD, XLADP_DDD, XLADP_NP, XLADP_FGPB, XLADP_FGPD, XLADP_TollFreeCode, XLADP_CACHome, XLADP_CACHomeNoCarrDesig, XLADP_CACHomeCarrDesig, XLADP_OffNetAC, XLADP_OnNetAC, XLADP_FacilityAC, XLADP_AttdntAC, XLADP_Extension }
| Dialing Pattern as determined by translation, if successful. More...

## Functions
int | unsp__GetFullyQualifiedNumber (struct unsp__GetFullyQualifiedNumberRequest GetFullyQualifiedNumberRequest, struct unsp__GetFullyQualifiedNumberResult *GetFullyQualifiedNumberResult)
| This method is used in order to convert a specified sequence of digits or an alphanumeric SIP URI (DialedDigits) to a FQN (Fully Qualified Number) or CPN. More...
int | unsp__TranslateDialedDigits (struct unsp__TranslateDialedDigitsRequest TranslateDialedDigitsRequest, struct unsp__TranslateDialedDigitsResult *TranslateDialedDigitsResult)
| This method provides the ability to perform a test translation of a given dialed digit string from an existing subscriber on the system. More...
int | unsp__TranslationVerify (struct unsp__TransVerifyRequest TransVerifyRequestMsg, struct unsp__TransVerifyResult *TransVerifyReplyMsg)
| Performs translation of dialed digits against a Call Originator. More...

## Detailed Description

Translation Utility Interfaces Definitions and Methods.

This section describes utility interfaces used to provide the results of translation for a specified dialable number of alphanumeric SIP URI.

## Enumeration Type Documentation

## ◆ unsp__CallType

enum unsp__CallType

The call type as determined by translation, if successful.

Enumerator
XLACT_None | None.
XLACT_CallEmrg | Emergency.
XLACT_CallSvc | Service.

## ◆ unsp__DestType

enum unsp__DestType

Destination Type as determined by translation, if successful.

Enumerator
XLADT_None | None.
XLADT_Dest | Destination.
XLADT_EP | Endpoint.
XLADT_Svc | Service.
XLADT_PRI | PRI.
XLADT_Ln | LN.
XLADT_TrkCircuit | Trunk Circuit.
XLADT_MGCPMS | MGCP MS.
XLADT_Vacant | Vacant.
XLADT_HomeDN | Home DN.
XLADT_DNDisconn | DN Disconnected.
XLADT_Enum | ENUM.
XLADT_Intcpt | Intercept.
XLADT_InvalidCode | Invalid Code.
XLADT_TOD | TOD.
XLADT_E164 | E164.
XLADT_NpId | NP ID.
XLADT_HomeExt | Home Extension.
XLADT_HomeLoc | Home Location.
XLADT_EmrgLoc | Emergency Location.
XLADT_CallingLoc | Calling Location.
XLADT_CarrierDest | Carrier Destination.
XLADT_Prefix_Dest | Prefix Destination.

## ◆ unsp__DialingPattern

enum unsp__DialingPattern

Dialing Pattern as determined by translation, if successful.

Enumerator
XLADP_None | None.
XLADP_Optr0Plus | Optr0Plus.
XLADP_Optr0 | Optr0.
XLADP_Optr00 | Optr00.
XLADP_IntlOptr | _IntlOptr
XLADP_IntlDDD | IntlDDD.
XLADP_DDD | _DDD
XLADP_NP | NP.
XLADP_FGPB | FGPB.
XLADP_FGPD | FGPD.
XLADP_TollFreeCode | TollFreeCode.
XLADP_CACHome | CACHome.
XLADP_CACHomeNoCarrDesig | CACHomeNoCarrDesig.
XLADP_CACHomeCarrDesig | CACHomeCarrDesig.
XLADP_OffNetAC | OffNetAC.
XLADP_OnNetAC | OnNetAC.
XLADP_FacilityAC | FacilityAC.
XLADP_AttdntAC | AttdntAC.
XLADP_Extension | Extension.

## ◆ unsp__TranslationResult

enum unsp__TranslationResult

Translation result.

Enumerator
XLARC_Success | Success.
XLARC_Failure | Failure.
XLARC_Error | Error.
XLARC_InvalidAddr | Invalid Address.
XLARC_InvalidAddrFormat | Invalid Address format.
XLARC_NotEnoughDigits | Not Enough Digits.
XLARC_InvalidCAC | Invalid CAC.
XLARC_InvalidCACFormat | Invalid CAC Format.
XLARC_UnauthorizedCarrTraffic | Unauthorized Carrier Traffic.
XLARC_FGDInScreeningFailed | FGN In Screening Failed.
XLARC_AllRoutesBusy | All Routes Busy.
XLARC_NoRoutesFound | No Routes Found.
XLARC_InvalidIntcptId | Invalid Intercept OD.
XLARC_UnallocatedNumber | Unallocated Number.
XLARC_DNDisconn | DN Disconnected.
XLARC_Enum | ENUM.
XLARC_Misdialing | Misdialing.
XLARC_NoIntcptTrt | No Intercept Treatment.
XLARC_EPUnregistered | Endpoint Unregistered.
XLARC_EmptyNpId | Empty NP ID.
XLARC_ErrorConvertType | Error Convert Type.

## Function Documentation

## ◆ unsp__GetFullyQualifiedNumber()

int unsp__GetFullyQualifiedNumber | ( | struct unsp__GetFullyQualifiedNumberRequest | GetFullyQualifiedNumberRequest,
|  | struct unsp__GetFullyQualifiedNumberResult * | GetFullyQualifiedNumberResult
| ) |  |

This method is used in order to convert a specified sequence of digits or an alphanumeric SIP URI (DialedDigits) to a FQN (Fully Qualified Number) or CPN.

(Complete Private Number) in the context of the InputFQN Numbering Plan. If an alphanumeric SIP URI is provided and it is translated to an external destination, the method returns the input alphanumeric SIP URI as is.

Parameters

  GetFullyQualifiedNumberRequest | API request
  GetFullyQualifiedNumberResult | API result

## ◆ unsp__TranslateDialedDigits()

unsp__TranslateDialedDigits | ( | struct unsp__TranslateDialedDigitsRequest | TranslateDialedDigitsRequest,
|  | struct unsp__TranslateDialedDigitsResult * | TranslateDialedDigitsResult
| ) |  |

This method provides the ability to perform a test translation of a given dialed digit string from an existing subscriber on the system.

It will test the routing definitions and facilities of the platform. This method will return the platform address translation and routing destination for a subscriber dialing a specific set of digits. The BG Name is passed as input, but not currently used. It may be used in the future to allow for non-DID subscribers. The result structure contains two sets of return information. The first is that the request was proper and could be processed. The second (the Translation Result) is the results of the translation itself.

Parameters

  TranslateDialedDigitsRequest | API request
  TranslateDialedDigitsResult | API result

## ◆ unsp__TranslationVerify()

unsp__TranslationVerify | ( | struct unsp__TransVerifyRequest | TransVerifyRequestMsg,
|  | struct unsp__TransVerifyResult * | TransVerifyReplyMsg
| ) |  |

Performs translation of dialed digits against a Call Originator.

Parameters

  TransVerifyRequestMsg | API request
  TransVerifyReplyMsg | API result